Merge "Add missing sudo in TLDK verification job"
authorVanessa Rene Valderrama <vvalderrama@linuxfoundation.org>
Wed, 15 Feb 2017 18:36:07 +0000 (18:36 +0000)
committerGerrit Code Review <gerrit@fd.io>
Wed, 15 Feb 2017 18:36:07 +0000 (18:36 +0000)
jenkins-scripts/basic_settings.sh
jjb/hc2vpp/csit-hc2vpp.yaml
jjb/hc2vpp/include-raw-hc2vpp-csit-integration.sh
jjb/hc2vpp/include-raw-hc2vpp-csit-verify-prebuild.sh
jjb/hc2vpp/include-raw-hc2vpp-csit-verify.sh
jjb/vpp/include-raw-vpp-make-test-docs.sh
packer/provision/basebuild.sh
packer/provision/baseline.sh

index 7790496..ed37439 100755 (executable)
@@ -11,7 +11,6 @@
 
 case "$(facter operatingsystem)" in
   Ubuntu)
-    apt-get update
     # make sure that the ca-certs are properly updated
     /usr/sbin/update-ca-certificates
 
index 2ce2c79..145952f 100644 (file)
     os:
         - ubuntu1404:
             repo-os-part: 'ubuntu.trusty.main'
-            skip-site: 'true'
+        - ubuntu1604:
+            repo-os-part: 'ubuntu.xenial.main'
 
 - job-template:
     name: 'hc2vpp-csit-integration-{stream}-{os}'
 
     project-type: freestyle
-    node: 'ubuntu1404-basebuild-4c-4g'
+    node: '{os}-basebuild-4c-4g'
     concurrent: true
 
     logrotate:
@@ -79,7 +80,7 @@
     name: 'hc2vpp-csit-verify-{stream}-{os}'
 
     project-type: maven
-    node: 'ubuntu1404-basebuild-4c-4g'
+    node: '{os}-basebuild-4c-4g'
     jdk: openjdk8-{os}
     concurrent: true
 
     maven:
         maven-name: 'mvn33-new'
         root-pom: 'pom.xml'
-        goals: 'clean install -V -Dmaven.repo.local=/tmp/r -Dorg.ops4j.pax.url.mvn.localRepository=/tmp/r -Dmaven.site.skip={skip-site} site -Dmaven.site.deploy.skip={skip-site} -DskipTests'
+        goals: 'clean install -V -Dmaven.repo.local=/tmp/r -Dorg.ops4j.pax.url.mvn.localRepository=/tmp/r -DskipTests -Dcheckstyle.skip=true'
         maven-opts: '-Xmx2048m -Dmaven.compile.fork=true'
         settings: 'hc2vpp-settings'
         settings-type: cfp
index 915ca8c..14ce670 100644 (file)
@@ -25,9 +25,9 @@ else
     chmod +x bootstrap-hc2vpp-integration.sh
     # run the script
     if [ ${STREAM} == 'master' ]; then
-        ./bootstrap-hc2vpp-integration.sh ${STREAM}
+        ./bootstrap-hc2vpp-integration.sh ${STREAM} ${OS}
     else
-        ./bootstrap-hc2vpp-integration.sh 'stable.'${STREAM}
+        ./bootstrap-hc2vpp-integration.sh 'stable.'${STREAM} ${OS}
     fi
 fi
 
index 3ce8344..0384a46 100644 (file)
@@ -11,7 +11,7 @@ if [ -f csit-test-branch ]; then
     CSIT_BRANCH=`./csit-test-branch`
 fi
 
-# Clone csit and start tests
+# Clone csit and download VPP packages
 git clone https://gerrit.fd.io/r/csit --branch ${CSIT_BRANCH}
 
 # If the git clone fails, complain clearly and exit
@@ -20,10 +20,12 @@ if [ $? != 0 ]; then
     exit
 fi
 
+cd csit
+
 if [ ${STREAM} == 'master' ]; then
-    ./csit/resources/tools/download_hc_build_pkgs.sh ${STREAM}
+    ./csit/resources/tools/download_hc_build_pkgs.sh ${STREAM} ${OS}
 else
-    ./csit/resources/tools/download_hc_build_pkgs.sh 'stable.'${STREAM}
+    ./csit/resources/tools/download_hc_build_pkgs.sh 'stable.'${STREAM} ${OS}
 fi
 
 cd ${current_dir}
index 9cfc2c5..99b8d3f 100644 (file)
@@ -23,7 +23,7 @@ else
     # make sure that bootstrap.sh is executable
     chmod +x bootstrap-hc2vpp-verify.sh
     # run the script
-    ./bootstrap-hc2vpp-verify.sh
+    ./bootstrap-hc2vpp-verify.sh ${OS}
 fi
 
 # vim: ts=4 ts=4 sts=4 et :
\ No newline at end of file
index 8b32cce..b3b5b0d 100644 (file)
@@ -1,10 +1,10 @@
 #!/bin/bash
 set -xe -o pipefail
 [ "$DOCS_REPO_URL" ] || DOCS_REPO_URL="https://nexus.fd.io/content/sites/site"
-[ "$PROJECT_PATH" ] || PROJECT_PATH=io/fd/vpp_make_test
+[ "$PROJECT_PATH" ] || PROJECT_PATH=io/fd/vpp
 [ "$DOC_DIR" ] || DOC_DIR=build-root/test-doc/build/html
 [ "$SITE_DIR" ] || SITE_DIR=build-root/docs/deploy-site
-[ "$RESOURCES_DIR" ] || RESOURCES_DIR=${SITE_DIR}/src/site/resources
+[ "$RESOURCES_DIR" ] || RESOURCES_DIR=${SITE_DIR}/src/site/resources/vpp_make_test
 [ "$MVN" ] || MVN="/opt/apache/maven/bin/mvn"
 [ "$VERSION" ] || VERSION=$(./build-root/scripts/version rpm-version)
 
@@ -18,7 +18,7 @@ if [[ ${JOB_NAME} == *merge* ]]; then
   cat > pom.xml << EOF
   <project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
     <modelVersion>4.0.0</modelVersion>
-    <groupId>io.fd.vpp_make_test</groupId>
+    <groupId>io.fd.vpp</groupId>
     <artifactId>docs</artifactId>
     <version>1.0.0</version>
     <packaging>pom</packaging>
index 75eecc9..082cfcc 100644 (file)
@@ -80,6 +80,24 @@ rh_systems() {
 
 ubuntu_systems() {
 
+    # DEB add Toolchain repo
+    sudo add-apt-repository -y ppa:ubuntu-toolchain-r/test
+
+    #Configuring thirdparty Nexus repo
+    echo "deb [trusted=yes] https://nexus.fd.io/content/repositories/thirdparty ./" > /etc/apt/sources.list.d/FD.io.thirdparty.list
+
+    # DEB Install PPA packages
+    echo "---> Adding '$1' PPA $(date +'%Y%m%dT%H%M%S')"
+    dpkg -l software-properties-common > /dev/null 2>&1 || software-properties-common
+
+    listfile=$(perl -e "print(q{$1} =~ m{^ppa:(.+)/ppa})")-ppa-${CODENAME}.list
+      if [ ! -f /etc/apt/sources.list.d/${listfile} ]
+      then
+        do_retry sudo apt-add-repository -y $1
+      fi
+
+    apt-get update
+
     # DEB cloud packages
     echo "---> Installing cloud packages $(date +'%Y%m%dT%H%M%S')"
     CLOUD_PKGS="cloud-initramfs-dyn-netconf cloud-initramfs-growroot cloud-initramfs-rescuevol"
@@ -101,27 +119,15 @@ ubuntu_systems() {
     # DEB Install the correct version of toolchain packages
     echo "---> Installing latest toolchain packages from PPA $(date +'%Y%m%dT%H%M%S')"
 
-    # DEB Install PPA packages
-    echo "---> Adding '$1' PPA $(date +'%Y%m%dT%H%M%S')"
-    dpkg -l software-properties-common > /dev/null 2>&1 || software-properties-common
-
-    listfile=$(perl -e "print(q{$1} =~ m{^ppa:(.+)/ppa})")-ppa-${CODENAME}.list
-      if [ ! -f /etc/apt/sources.list.d/${listfile} ]
-      then
-        do_retry sudo apt-add-repository -y $1
-      fi
-
     #Retry to prevent timeout failure
-    echo "---> Updating package index $(date +'%Y%m%dT%H%M%S')"
-    do_retry sudo apt-get update
-    echo "<--- Updating package index $(date +'%Y%m%dT%H%M%S')"
-    echo "<--- Adding '$1' PPA $(date +'%Y%m%dT%H%M%S')"
+    #echo "---> Updating package index $(date +'%Y%m%dT%H%M%S')"
+    #do_retry sudo apt-get update
+    #echo "<--- Updating package index $(date +'%Y%m%dT%H%M%S')"
+    #echo "<--- Adding '$1' PPA $(date +'%Y%m%dT%H%M%S')"
 
     # DEB Install GCC packages
     echo "---> Installing GCC-5 packages $(date +'%Y%m%dT%H%M%S')"
     GCC_PKGS="cpp gcc g++ cmake lcov gcc-multilib"
-    sudo add-apt-repository -y ppa:ubuntu-toolchain-r/test
-    sudo apt-get update
     apt install -y ${GCC_PKGS}
 
     # DEB Install VPP packages to shorten build times
@@ -134,17 +140,12 @@ ubuntu_systems() {
     # DEB Install CSIT packages
     CSIT_PKGS="libxml2 libxml2-dev libxslt-dev zlib1g-dev bc unzip"
     apt install -y ${CSIT_PKGS}
-    pip install
 
     # DEB Install latest kernel and uio
     echo "---> Installing kernel image and header packages $(date +'%Y%m%dT%H%M%S')"
     DEB_PKGS="linux-image-extra-virtual linux-headers-virtual linux-headers-`uname -r`"
     apt install -y ${DEB_PKGS}
 
-    #Configuring thirdparty Nexus repo
-    echo "deb [trusted=yes] https://nexus.fd.io/content/repositories/thirdparty ./" > /etc/apt/sources.list.d/FD.io.thirdparty.list
-    apt-get update
-
     # DEB Install deb_dpdk packages to shorten build times
     ###REMOVED sphinx-rtd-theme
     echo "---> Installing deb_dpdk packages $(date +'%Y%m%dT%H%M%S')"
@@ -162,9 +163,6 @@ ubuntu_systems() {
     TOOL_PKGS="iproute2 ethtool vlan bridge-utils vim gdb lsb-release gdbserver"
     apt install -y ${TOOL_PKGS}
 
-    # DEB Clean up packages for a smaller image
-    apt-get update
-
     # DEB Updating CA certificates
     echo "---> Forcing CA certificate update $(date +'%Y%m%dT%H%M%S')"
       sudo update-ca-certificates -f > /dev/null 2>&1
index 6fcc1b0..87c7776 100644 (file)
@@ -2,6 +2,9 @@
 
 # vim: ts=4 sw=4 sts=4 et tw=72 :
 
+# force any errors to cause the script and job to end in failure
+set -xeu -o pipefail
+
 rh_systems() {
     # Handle the occurance where SELINUX is actually disabled
     SELINUX=$(grep -E '^SELINUX=(disabled|permissive|enforcing)$' /etc/selinux/config)
@@ -39,24 +42,24 @@ rh_systems() {
     esac
 
     echo "---> Updating operating system"
-    yum clean all -q
-    yum install -y -q deltarpm
-    yum update -y -q
+    yum clean all
+    yum install -y deltarpm
+    yum update -y
 
     # add in components we need or want on systems
     echo "---> Installing base packages"
-    yum install -y -q @base https://dl.fedoraproject.org/pub/epel/epel-release-latest-7.noarch.rpm
+    yum install -y @base https://dl.fedoraproject.org/pub/epel/epel-release-latest-7.noarch.rpm
     # separate group installs from package installs since a non-existing
     # group with dnf based systems (F21+) will fail the install if such
     # a group does not exist
-    yum install -y -q unzip xz puppet git git-review perl-XML-XPath wget make
+    yum install -y unzip xz puppet git git-review perl-XML-XPath wget make
 
     # All of our systems require Java (because of Jenkins)
     # Install all versions of the OpenJDK devel but force 1.7.0 to be the
     # default
 
     echo "---> Configuring OpenJDK"
-    yum install -y -q 'java-*-openjdk-devel'
+    yum install -y 'java-*-openjdk-devel'
 
     FACTER_OS=$(/usr/bin/facter operatingsystem)
     FACTER_OSVER=$(/usr/bin/facter operatingsystemrelease)
@@ -70,14 +73,23 @@ rh_systems() {
                 alternatives --set java_sdk_openjdk /usr/lib/jvm/java-1.7.0-openjdk.x86_64
             fi
         ;;
+        RedHat|CentOS)
+            if [ "$(echo $FACTER_OSVER | cut -d'.' -f1)" -ge "7" ]
+            then
+                echo "---> not modifying java alternatives as OpenJDK 1.7.0 does not exist"
+            else
+                alternatives --set java /usr/lib/jvm/jre-1.7.0-openjdk.x86_64/bin/java
+                alternatives --set java_sdk_openjdk /usr/lib/jvm/java-1.7.0-openjdk.x86_64
+            fi
+        ;;
         *)
             alternatives --set java /usr/lib/jvm/jre-1.7.0-openjdk.x86_64/bin/java
             alternatives --set java_sdk_openjdk /usr/lib/jvm/java-1.7.0-openjdk.x86_64
         ;;
     esac
 
-    # Needed to parse OpenStack commands used by infra
-    # stack commands to initialize Heat template based systems.
+    # Needed to parse OpenStack commands used by infra stack commands
+    # to initialize Heat template based systems.
     yum install -y jq
 }
 
@@ -103,36 +115,87 @@ Dpkg::Options {
 
 EOF
 
+    # Wrap apt-get to wait for the lock to become available for operation
+    # http://askubuntu.com/questions/132059/how-to-make-a-package-manager-wait-if-another-instance-of-apt-is-running
+    cat << 'EOF' >> /usr/local/bin/apt-get
+#!/bin/bash
+
+i=0
+tput sc
+while [ fuser /var/lib/dpkg/lock >/dev/null 2>&1 || fuser /var/lib/apt/lists/lock >/dev/null 2>&1 ]; do
+    case $(($i % 4)) in
+        0 ) j="-" ;;
+        1 ) j="\\" ;;
+        2 ) j="|" ;;
+        3 ) j="/" ;;
+    esac
+    tput rc
+    echo -en "\r[$j] Waiting for other software managers to finish..."
+    sleep 0.5
+    ((i=i+1))
+done
+
+/usr/bin/apt-get "$@"
+
+EOF
+    chmod +x /usr/local/bin/apt-get
+
     echo "---> Updating operating system"
-    apt-get update -qq > /dev/null
-    apt-get upgrade -qq > /dev/null
+    apt-get update
+    apt-get upgrade
 
     # add in stuff we know we need
     echo "---> Installing base packages"
-    apt-get install -qq unzip xz-utils puppet git git-review libxml-xpath-perl make wget > /dev/null
+    apt-get install unzip xz-utils puppet git git-review libxml-xpath-perl make wget
 
     # install Java 7
     echo "---> Configuring OpenJDK"
-    apt-get install -qq openjdk-7-jdk > /dev/null
+    FACTER_OSVER=$(/usr/bin/facter operatingsystemrelease)
+    case "$FACTER_OSVER" in
+        14.04)
+            apt-get install openjdk-7-jdk
+            # make jdk8 available
+            add-apt-repository -y ppa:openjdk-r/ppa
+            apt-get update
+            # We need to force openjdk-8-jdk to install
+            apt-get install openjdk-8-jdk
+            # make sure that we still default to openjdk 7
+            update-alternatives --set java /usr/lib/jvm/java-7-openjdk-amd64/jre/bin/java
+            update-alternatives --set javac /usr/lib/jvm/java-7-openjdk-amd64/bin/javac
+
+            # disable auto-update service?
+            if [ -f /etc/cron.daily/apt ]
+            then
+                rm -rf /etc/cron.daily/apt
+            fi
+        ;;
+        16.04)
+            apt-get install openjdk-8-jdk
+
+            # force auto-update services off and mask them so they can't
+            # be started
+            for i in apt-daily.{service,timer}
+            do
+                systemctl disable ${i}
+                systemctl mask ${i}
+            done
+        ;;
+        *)
+            echo "---> Unknown Ubuntu version $FACTER_OSVER"
+            exit 1
+        ;;
+    esac
 
-    # make jdk8 available
-    add-apt-repository -y ppa:openjdk-r/ppa > /dev/null
-    apt-get update -qq > /dev/null
-    # We need to force openjdk-8-jdk to install
-    apt-get install -qq openjdk-8-jdk > /dev/null
 
-    # make sure that we still default to openjdk 7
-    update-alternatives --set java /usr/lib/jvm/java-7-openjdk-amd64/jre/bin/java
-    update-alternatives --set javac /usr/lib/jvm/java-7-openjdk-amd64/bin/javac
 
-    # Needed to parse OpenStack commands used by infra
-    # stack commands to initialize Heat template based systems.
-    apt-get install -qq jq > /dev/null
+    # Needed to parse OpenStack commands used by infra stack commands
+    # to initialize Heat template based systems.
+    apt-get install jq
 
     # disable unattended upgrades & daily updates
     echo '---> Disabling automatic daily upgrades'
-    sed -ine 's/"1"/"0"/g' /etc/apt/apt.conf.d/10periodic
-    echo 'APT::Periodic::Unattended-Upgrade "0";' >> /etc/apt/apt.conf.d/10periodic
+    grep -lR 'APT::Periodic' /etc/apt/apt.conf.d/ | perl -pi -e 's/"1"/"0"/g'
+
 }
 
 all_systems() {